Get HCX Certs

Get HCX Certs
Certificate pertaining to TLS enabled API and appliance management endpoints of HCX

Certificate pertaining to TLS enabled API and appliance management endpoints of HCX

Request
URI
POST
https://{server}/hybridity/api/certificates
COPY
Query Parameters
string
action
Required
Constraints: default: query

Specify the action parameter


Authentication
This operation uses the following authentication methods.
Responses
200

OK

Returns hcxCertGetResponse of type(s) application/json
{
    "certificates": [
        {
            "name": "string",
            "description": "string",
            "read_only": false,
            "authority_information_access_uri": [
                "string"
            ],
            "cert": "string",
            "extended_key_usage": [
                "string"
            ],
            "is_CA": false,
            "issuer_dn": "string",
            "key_usage": [
                "string"
            ],
            "path_length_constraint": "string",
            "serial_number": "string",
            "signature_algorithm": "string",
            "subject_alternative_name": [
                "string"
            ],
            "subject_dn": "string",
            "thumbprint": "string",
            "valid_from": "string",
            "valid_to": "string",
            "version": 0,
            "errors": [
                {
                    "code": "string",
                    "message": "string"
                }
            ]
        }
    ]
}
array of object
certificates
Optional

certificates


400

Bad Request

Returns errorResponse of type(s) application/json
{
    "errors": [
        {
            "code": "string",
            "message": "string"
        }
    ]
}
array of object
errors
Optional

errors


401

Unauthorized

Operation doesn't return any data structure

403

Forbidden

Operation doesn't return any data structure

500

Internal Server Error

Returns errorResponse of type(s) application/json
{
    "errors": [
        {
            "code": "string",
            "message": "string"
        }
    ]
}
array of object
errors
Optional

errors


Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' https://{api_host}/hybridity/api/certificates